#
# spec file for package Intel-536ep (Version 4.62)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  autoconf bin86 gmp k_deflt kernel-source modutils openssl openssl-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake bin86 binutils cracklib gcc gdbm gettext gmp k_deflt kernel-source libtool openssl-devel perl rpm

Name:         Intel-536ep
%define srcdir Intel536ep-4.62
%define susedir "SuSE"
Version:      4.62
Release:      27
License:      Commercial, Other License(s), see package
Group:        Hardware/Modem
ExclusiveArch: %ix86
Autoreqprov:  on
PreReq:       /bin/cat grep sed mktemp fileutils sh-utils /etc/modules.conf
Conflicts:    Intel-v92ham
Summary:      Driver for Intel's 536EP v92 modem
Source:       intel536ep-462.tgz
Source1:      Intel-536ep.SuSE.tar.bz2
Patch1:       Intel-536ep.dif
Patch3:       Intel-536ep-modversions.dif
URL:          http://www.intel.com

%description
This package includes the drivers and configuration tools for the Intel
HaM Modem with MD5628D-L-C chipset.

It is a controllerless modem and so sometimes called a "winmodem" (or
in this case a linmodem).

This is not completely free sofware!. Please read the license agreement
in /usr/share/doc/packages/Intel-536ep/license.txt

As this driver is binary only, please note, that SuSE can offer no
installation support for this modems!



Authors:
--------
    Dorian Araneda <dorian.araneda@intel.com>

%define modrootdir lib/modules/
%define filelist /var/adm/fillup-templates/Intel-536ep-moduleslist
%prep
%setup -n %{srcdir} -a 1 -q
%patch1
%patch3

%build
HEADERS="$(echo /usr/src/linux-*-include | head -1)"
VERSION="${HEADERS##/usr/src/linux-}"
VERSION="${VERSION%%-include}"
RELEASE="${VERSION##*-}"
VERSION="${VERSION%%-$RELEASE}"
echo "$RELEASE"
rm -f "%{filelist}"
for HDIR in $HEADERS/*; do
	FLAVOR="${HDIR##$HEADERS/}"
	DEST="/%{modrootdir}${VERSION}-override-${FLAVOR}"
	# build
	echo "building: $FLAVOR ${VERSION} ${RELEASE}"
	make	clean
	make	KDIR="${HDIR}"
	# install
	mkdir -p "$DEST"
	cp -v coredrv/536epcore.o serialdrv/536ep.o "$DEST"
	echo "%dir $DEST"	>> %{filelist}
	echo "$DEST/536ep.o"	>> %{filelist}
	echo "$DEST/536epcore.o" >> %{filelist}
done

%install
GROUP='dialout'
MODE='664'
# install the registry
install -o root -g root -m 110 hamregistry /usr/sbin
# install the modules
find %{modrootdir} -type d | xargs -i \
    test -d $RPM_BUILD_ROOT/{} || \
    install -o root -g root -m 755 -d $RPM_BUILD_ROOT/{}
find %{modrootdir} -type f | xargs -i \
    install -o root -g root -m 644 {} $RPM_BUILD_ROOT/{}
test -e /dev/536ep && rm -f /dev/536ep
# setting up 536ep device
MAJOR=240
mknod /dev/536ep c $MAJOR 1
chgrp ${GROUP} /dev/536ep
chmod ${MODE}  /dev/536ep
#ln -sf /dev/536ep /dev/modem 1> /dev/null 2> /dev/null
# adjusting modules.conf
install -m 644 %{susedir}/modules.conf.536ep /var/adm/fillup-templates/modules.conf.536ep
# filelist contains the pathes to the modules

%files -f %{filelist}
/dev/536ep
/usr/sbin/hamregistry
/var/adm/fillup-templates/modules.conf.536ep
%doc readme.txt license.txt SuSE/README.SuSE SuSE/TODO

%post
cat <<EOT
 Copyright (c) 1999-2001, Intel Corporation All rights reserved.
 Parts of this software are not GPL authorized and not free!
 Please read INTEL SOFTWARE LICENSE AGREEMENT
 in /usr/share/doc/packages/Intel-536ep/license.txt
 before using the modules!
 As this driver is binary only, please note, that SuSE can offer
      no installation support
 for this modem.
 If you have any questions, please have a look at
 http://developer.intel.com/design/modems
EOT
HAMMOD="var/adm/fillup-templates/modules.conf.536ep"
if test -w etc/modules.conf ; then
    if ! grep "`sed -n 1p $HAMMOD`" etc/modules.conf &>/dev/null ; then
	echo "Updating etc/modules.conf"
	cat $HAMMOD >> etc/modules.conf
	if test -x sbin/depmod -a -e lib/modules/`bin/uname -r`/modules.dep ; then
	    chroot . /sbin/depmod -a 2>/dev/null
	fi
    fi
else
  echo "ERROR: /etc/modules.conf not writable. This should not happen."
  echo "Please see modules.conf.536ep for necessary changes and "
  echo "update by hand."
  exit 1
fi
exit 0

%preun
test $1 = 0 || exit 0
HAMMOD="var/adm/fillup-templates/modules.conf.536ep"
if test ! -w etc/modules.conf ; then
    echo "cannot find /etc/modules.conf. Nothing to remove from modules.conf"
    exit 0
fi
TMP=`mktemp -q tmp/$base.XXXXXX`
if test $? -ne 0 ; then
    echo "$base: Can't create temp file, exiting..."
    exit 1
fi
LNO=`wc -l $HAMMOD`
FL=`sed -n -e '1p' $HAMMOD | tr '/' '.'`
LL=`sed -n -e '$p' $HAMMOD | tr '/' '.'`
echo trying to remove the following lines from
echo "  $FL"
echo to
echo "  $LL"
echo from /etc/modules.conf
sed  -e "/$FL/,/$LL/d" etc/modules.conf > $TMP
if test $? -eq 0 -a \
   -n "$FL" -a -n "$LL" -a \
   -r "$TMP"  ; then
    echo saving old /etc/modules.conf in /etc/modules.conf.rpmold
    mv etc/modules.conf etc/modules.conf.rpmold
    mv $TMP etc/modules.conf
    echo removing 536ep-module entries from /etc/modules.conf done
else
    echo cannot remove the Intel-536ep entries from /etc/modules.conf
    rm -f $TMP
    exit 0
fi

%changelog -n Intel-536ep
* Thu Feb 05 2004 - mjancar@suse.cz
- update to 4.62
- fix modversions (#34297)
* Fri Sep 19 2003 - mls@suse.de
- build for all kernels
- use override directory
* Fri Aug 08 2003 - ro@suse.de
- fix build with latest kernel packaging changes
* Fri Jun 20 2003 - ro@suse.de
- fix build
* Fri Mar 14 2003 - mls@suse.de
- load core with 'insmod -f'
- don't run uninstall script when doing an update
* Thu Mar 13 2003 - mls@suse.de
- also build athlon version
* Wed Mar 05 2003 - mls@suse.de
- initial version
